// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: dictionary/vehicle-service.proto

package dictionary

import (
	context "context"
	proto "github.com/golang/protobuf/proto"
	common "gitlab.com/supply-net/shared/go-grpc/common"
	model "gitlab.com/supply-net/shared/go-grpc/dictionary/model"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type SearchVehicleRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Grid   *common.Grid         `protobuf:"bytes,1,opt,name=grid,proto3" json:"grid,omitempty"`
	Search *model.SearchVehicle `protobuf:"bytes,2,opt,name=search,proto3" json:"search,omitempty"`
}

func (x *SearchVehicleRequest) Reset() {
	*x = SearchVehicleRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_dictionary_vehicle_service_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchVehicleRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchVehicleRequest) ProtoMessage() {}

func (x *SearchVehicleRequest) ProtoReflect() protoreflect.Message {
	mi := &file_dictionary_vehicle_service_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchVehicleRequest.ProtoReflect.Descriptor instead.
func (*SearchVehicleRequest) Descriptor() ([]byte, []int) {
	return file_dictionary_vehicle_service_proto_rawDescGZIP(), []int{0}
}

func (x *SearchVehicleRequest) GetGrid() *common.Grid {
	if x != nil {
		return x.Grid
	}
	return nil
}

func (x *SearchVehicleRequest) GetSearch() *model.SearchVehicle {
	if x != nil {
		return x.Search
	}
	return nil
}

type SearchVehicleResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data []*model.Vehicle `protobuf:"bytes,1,rep,name=data,proto3" json:"data,omitempty"`
}

func (x *SearchVehicleResponse) Reset() {
	*x = SearchVehicleResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_dictionary_vehicle_service_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchVehicleResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchVehicleResponse) ProtoMessage() {}

func (x *SearchVehicleResponse) ProtoReflect() protoreflect.Message {
	mi := &file_dictionary_vehicle_service_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchVehicleResponse.ProtoReflect.Descriptor instead.
func (*SearchVehicleResponse) Descriptor() ([]byte, []int) {
	return file_dictionary_vehicle_service_proto_rawDescGZIP(), []int{1}
}

func (x *SearchVehicleResponse) GetData() []*model.Vehicle {
	if x != nil {
		return x.Data
	}
	return nil
}

type IdentifyVehicleRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Search string `protobuf:"bytes,1,opt,name=search,proto3" json:"search,omitempty"`
}

func (x *IdentifyVehicleRequest) Reset() {
	*x = IdentifyVehicleRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_dictionary_vehicle_service_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *IdentifyVehicleRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*IdentifyVehicleRequest) ProtoMessage() {}

func (x *IdentifyVehicleRequest) ProtoReflect() protoreflect.Message {
	mi := &file_dictionary_vehicle_service_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use IdentifyVehicleRequest.ProtoReflect.Descriptor instead.
func (*IdentifyVehicleRequest) Descriptor() ([]byte, []int) {
	return file_dictionary_vehicle_service_proto_rawDescGZIP(), []int{2}
}

func (x *IdentifyVehicleRequest) GetSearch() string {
	if x != nil {
		return x.Search
	}
	return ""
}

type IdentifyVehicleResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data *model.Vehicle `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *IdentifyVehicleResponse) Reset() {
	*x = IdentifyVehicleResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_dictionary_vehicle_service_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *IdentifyVehicleResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*IdentifyVehicleResponse) ProtoMessage() {}

func (x *IdentifyVehicleResponse) ProtoReflect() protoreflect.Message {
	mi := &file_dictionary_vehicle_service_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use IdentifyVehicleResponse.ProtoReflect.Descriptor instead.
func (*IdentifyVehicleResponse) Descriptor() ([]byte, []int) {
	return file_dictionary_vehicle_service_proto_rawDescGZIP(), []int{3}
}

func (x *IdentifyVehicleResponse) GetData() *model.Vehicle {
	if x != nil {
		return x.Data
	}
	return nil
}

var File_dictionary_vehicle_service_proto protoreflect.FileDescriptor

var file_dictionary_vehicle_service_proto_rawDesc = []byte{
	0x0a, 0x20, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2f, 0x76, 0x65, 0x68,
	0x69, 0x63, 0x6c, 0x65, 0x2d, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x0a, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x1a, 0x14,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x11, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x67, 0x72, 0x69,
	0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1c, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2d, 0x69, 0x74, 0x65, 0x6d, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x76, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x25, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x2d, 0x76,
	0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x6b, 0x0a, 0x14,
	0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x20, 0x0a, 0x04, 0x67, 0x72, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x47, 0x72, 0x69, 0x64,
	0x52, 0x04, 0x67, 0x72, 0x69, 0x64, 0x12, 0x31, 0x0a, 0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c,
	0x65, 0x52, 0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x22, 0x40, 0x0a, 0x15, 0x53, 0x65, 0x61,
	0x72, 0x63, 0x68, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x27, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x13, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x56, 0x65,
	0x68, 0x69, 0x63, 0x6c, 0x65, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x30, 0x0a, 0x16, 0x49,
	0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x79, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x22, 0x42, 0x0a,
	0x17, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x79, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x27, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x52, 0x04, 0x64, 0x61, 0x74,
	0x61, 0x32, 0xd4, 0x04, 0x0a, 0x0e, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x53, 0x65, 0x72,
	0x76, 0x69, 0x63, 0x65, 0x12, 0x3a, 0x0a, 0x07, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x12,
	0x16, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x4d, 0x0a, 0x06, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x12, 0x20, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x56, 0x65,
	0x68, 0x69, 0x63, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x21, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68,
	0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x53, 0x0a, 0x08, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x79, 0x12, 0x22, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66,
	0x79, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x23, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x49, 0x64, 0x65,
	0x6e, 0x74, 0x69, 0x66, 0x79, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x59, 0x0a, 0x0c, 0x4d, 0x61, 0x6e, 0x75, 0x66, 0x61, 0x63, 0x74,
	0x75, 0x72, 0x65, 0x72, 0x12, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x65,
	0x61, 0x72, 0x63, 0x68, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x49, 0x74,
	0x65, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x24, 0x2e, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x52, 0x0a, 0x05, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x12, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x24, 0x2e,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x44, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x57, 0x0a, 0x0a, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x12, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63,
	0x68, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x49, 0x74, 0x65, 0x6d, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x24, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5a, 0x0a, 0x0d,
	0x53, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x23, 0x2e,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x44, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x49, 0x74, 0x65, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x24, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x65, 0x61, 0x72,
	0x63, 0x68, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x49, 0x74, 0x65, 0x6d,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x90, 0x01, 0x0a, 0x1e, 0x63, 0x6f, 0x6d,
	0x2e, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2e, 0x67, 0x72, 0x70, 0x63,
	0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x42, 0x11, 0x44, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x50, 0x01,
	0x5a, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70,
	0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67,
	0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x14, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x79,
	0x4e, 0x65, 0x74, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0xca, 0x02,
	0x0a, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_dictionary_vehicle_service_proto_rawDescOnce sync.Once
	file_dictionary_vehicle_service_proto_rawDescData = file_dictionary_vehicle_service_proto_rawDesc
)

func file_dictionary_vehicle_service_proto_rawDescGZIP() []byte {
	file_dictionary_vehicle_service_proto_rawDescOnce.Do(func() {
		file_dictionary_vehicle_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_dictionary_vehicle_service_proto_rawDescData)
	})
	return file_dictionary_vehicle_service_proto_rawDescData
}

var file_dictionary_vehicle_service_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_dictionary_vehicle_service_proto_goTypes = []interface{}{
	(*SearchVehicleRequest)(nil),                // 0: dictionary.SearchVehicleRequest
	(*SearchVehicleResponse)(nil),               // 1: dictionary.SearchVehicleResponse
	(*IdentifyVehicleRequest)(nil),              // 2: dictionary.IdentifyVehicleRequest
	(*IdentifyVehicleResponse)(nil),             // 3: dictionary.IdentifyVehicleResponse
	(*common.Grid)(nil),                         // 4: common.Grid
	(*model.SearchVehicle)(nil),                 // 5: dictionary.SearchVehicle
	(*model.Vehicle)(nil),                       // 6: dictionary.Vehicle
	(*common.VersionRequest)(nil),               // 7: common.VersionRequest
	(*common.SearchDictionaryItemRequest)(nil),  // 8: common.SearchDictionaryItemRequest
	(*common.VersionResponse)(nil),              // 9: common.VersionResponse
	(*common.SearchDictionaryItemResponse)(nil), // 10: common.SearchDictionaryItemResponse
}
var file_dictionary_vehicle_service_proto_depIdxs = []int32{
	4,  // 0: dictionary.SearchVehicleRequest.grid:type_name -> common.Grid
	5,  // 1: dictionary.SearchVehicleRequest.search:type_name -> dictionary.SearchVehicle
	6,  // 2: dictionary.SearchVehicleResponse.data:type_name -> dictionary.Vehicle
	6,  // 3: dictionary.IdentifyVehicleResponse.data:type_name -> dictionary.Vehicle
	7,  // 4: dictionary.VehicleService.Version:input_type -> common.VersionRequest
	0,  // 5: dictionary.VehicleService.Search:input_type -> dictionary.SearchVehicleRequest
	2,  // 6: dictionary.VehicleService.Identify:input_type -> dictionary.IdentifyVehicleRequest
	8,  // 7: dictionary.VehicleService.Manufacturer:input_type -> common.SearchDictionaryItemRequest
	8,  // 8: dictionary.VehicleService.Model:input_type -> common.SearchDictionaryItemRequest
	8,  // 9: dictionary.VehicleService.Generation:input_type -> common.SearchDictionaryItemRequest
	8,  // 10: dictionary.VehicleService.Specification:input_type -> common.SearchDictionaryItemRequest
	9,  // 11: dictionary.VehicleService.Version:output_type -> common.VersionResponse
	1,  // 12: dictionary.VehicleService.Search:output_type -> dictionary.SearchVehicleResponse
	3,  // 13: dictionary.VehicleService.Identify:output_type -> dictionary.IdentifyVehicleResponse
	10, // 14: dictionary.VehicleService.Manufacturer:output_type -> common.SearchDictionaryItemResponse
	10, // 15: dictionary.VehicleService.Model:output_type -> common.SearchDictionaryItemResponse
	10, // 16: dictionary.VehicleService.Generation:output_type -> common.SearchDictionaryItemResponse
	10, // 17: dictionary.VehicleService.Specification:output_type -> common.SearchDictionaryItemResponse
	11, // [11:18] is the sub-list for method output_type
	4,  // [4:11] is the sub-list for method input_type
	4,  // [4:4] is the sub-list for extension type_name
	4,  // [4:4] is the sub-list for extension extendee
	0,  // [0:4] is the sub-list for field type_name
}

func init() { file_dictionary_vehicle_service_proto_init() }
func file_dictionary_vehicle_service_proto_init() {
	if File_dictionary_vehicle_service_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_dictionary_vehicle_service_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchVehicleRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_dictionary_vehicle_service_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchVehicleResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_dictionary_vehicle_service_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*IdentifyVehicleRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_dictionary_vehicle_service_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*IdentifyVehicleResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_dictionary_vehicle_service_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_dictionary_vehicle_service_proto_goTypes,
		DependencyIndexes: file_dictionary_vehicle_service_proto_depIdxs,
		MessageInfos:      file_dictionary_vehicle_service_proto_msgTypes,
	}.Build()
	File_dictionary_vehicle_service_proto = out.File
	file_dictionary_vehicle_service_proto_rawDesc = nil
	file_dictionary_vehicle_service_proto_goTypes = nil
	file_dictionary_vehicle_service_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// VehicleServiceClient is the client API for VehicleService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type VehicleServiceClient interface {
	Version(ctx context.Context, in *common.VersionRequest, opts ...grpc.CallOption) (*common.VersionResponse, error)
	Search(ctx context.Context, in *SearchVehicleRequest, opts ...grpc.CallOption) (*SearchVehicleResponse, error)
	Identify(ctx context.Context, in *IdentifyVehicleRequest, opts ...grpc.CallOption) (*IdentifyVehicleResponse, error)
	Manufacturer(ctx context.Context, in *common.SearchDictionaryItemRequest, opts ...grpc.CallOption) (*common.SearchDictionaryItemResponse, error)
	Model(ctx context.Context, in *common.SearchDictionaryItemRequest, opts ...grpc.CallOption) (*common.SearchDictionaryItemResponse, error)
	Generation(ctx context.Context, in *common.SearchDictionaryItemRequest, opts ...grpc.CallOption) (*common.SearchDictionaryItemResponse, error)
	Specification(ctx context.Context, in *common.SearchDictionaryItemRequest, opts ...grpc.CallOption) (*common.SearchDictionaryItemResponse, error)
}

type vehicleServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewVehicleServiceClient(cc grpc.ClientConnInterface) VehicleServiceClient {
	return &vehicleServiceClient{cc}
}

func (c *vehicleServiceClient) Version(ctx context.Context, in *common.VersionRequest, opts ...grpc.CallOption) (*common.VersionResponse, error) {
	out := new(common.VersionResponse)
	err := c.cc.Invoke(ctx, "/dictionary.VehicleService/Version", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vehicleServiceClient) Search(ctx context.Context, in *SearchVehicleRequest, opts ...grpc.CallOption) (*SearchVehicleResponse, error) {
	out := new(SearchVehicleResponse)
	err := c.cc.Invoke(ctx, "/dictionary.VehicleService/Search", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vehicleServiceClient) Identify(ctx context.Context, in *IdentifyVehicleRequest, opts ...grpc.CallOption) (*IdentifyVehicleResponse, error) {
	out := new(IdentifyVehicleResponse)
	err := c.cc.Invoke(ctx, "/dictionary.VehicleService/Identify", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vehicleServiceClient) Manufacturer(ctx context.Context, in *common.SearchDictionaryItemRequest, opts ...grpc.CallOption) (*common.SearchDictionaryItemResponse, error) {
	out := new(common.SearchDictionaryItemResponse)
	err := c.cc.Invoke(ctx, "/dictionary.VehicleService/Manufacturer", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vehicleServiceClient) Model(ctx context.Context, in *common.SearchDictionaryItemRequest, opts ...grpc.CallOption) (*common.SearchDictionaryItemResponse, error) {
	out := new(common.SearchDictionaryItemResponse)
	err := c.cc.Invoke(ctx, "/dictionary.VehicleService/Model", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vehicleServiceClient) Generation(ctx context.Context, in *common.SearchDictionaryItemRequest, opts ...grpc.CallOption) (*common.SearchDictionaryItemResponse, error) {
	out := new(common.SearchDictionaryItemResponse)
	err := c.cc.Invoke(ctx, "/dictionary.VehicleService/Generation", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vehicleServiceClient) Specification(ctx context.Context, in *common.SearchDictionaryItemRequest, opts ...grpc.CallOption) (*common.SearchDictionaryItemResponse, error) {
	out := new(common.SearchDictionaryItemResponse)
	err := c.cc.Invoke(ctx, "/dictionary.VehicleService/Specification", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// VehicleServiceServer is the server API for VehicleService service.
type VehicleServiceServer interface {
	Version(context.Context, *common.VersionRequest) (*common.VersionResponse, error)
	Search(context.Context, *SearchVehicleRequest) (*SearchVehicleResponse, error)
	Identify(context.Context, *IdentifyVehicleRequest) (*IdentifyVehicleResponse, error)
	Manufacturer(context.Context, *common.SearchDictionaryItemRequest) (*common.SearchDictionaryItemResponse, error)
	Model(context.Context, *common.SearchDictionaryItemRequest) (*common.SearchDictionaryItemResponse, error)
	Generation(context.Context, *common.SearchDictionaryItemRequest) (*common.SearchDictionaryItemResponse, error)
	Specification(context.Context, *common.SearchDictionaryItemRequest) (*common.SearchDictionaryItemResponse, error)
}

// UnimplementedVehicleServiceServer can be embedded to have forward compatible implementations.
type UnimplementedVehicleServiceServer struct {
}

func (*UnimplementedVehicleServiceServer) Version(context.Context, *common.VersionRequest) (*common.VersionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Version not implemented")
}
func (*UnimplementedVehicleServiceServer) Search(context.Context, *SearchVehicleRequest) (*SearchVehicleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Search not implemented")
}
func (*UnimplementedVehicleServiceServer) Identify(context.Context, *IdentifyVehicleRequest) (*IdentifyVehicleResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Identify not implemented")
}
func (*UnimplementedVehicleServiceServer) Manufacturer(context.Context, *common.SearchDictionaryItemRequest) (*common.SearchDictionaryItemResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Manufacturer not implemented")
}
func (*UnimplementedVehicleServiceServer) Model(context.Context, *common.SearchDictionaryItemRequest) (*common.SearchDictionaryItemResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Model not implemented")
}
func (*UnimplementedVehicleServiceServer) Generation(context.Context, *common.SearchDictionaryItemRequest) (*common.SearchDictionaryItemResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Generation not implemented")
}
func (*UnimplementedVehicleServiceServer) Specification(context.Context, *common.SearchDictionaryItemRequest) (*common.SearchDictionaryItemResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Specification not implemented")
}

func RegisterVehicleServiceServer(s *grpc.Server, srv VehicleServiceServer) {
	s.RegisterService(&_VehicleService_serviceDesc, srv)
}

func _VehicleService_Version_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.VersionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VehicleServiceServer).Version(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/dictionary.VehicleService/Version",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VehicleServiceServer).Version(ctx, req.(*common.VersionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VehicleService_Search_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SearchVehicleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VehicleServiceServer).Search(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/dictionary.VehicleService/Search",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VehicleServiceServer).Search(ctx, req.(*SearchVehicleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VehicleService_Identify_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(IdentifyVehicleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VehicleServiceServer).Identify(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/dictionary.VehicleService/Identify",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VehicleServiceServer).Identify(ctx, req.(*IdentifyVehicleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VehicleService_Manufacturer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.SearchDictionaryItemRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VehicleServiceServer).Manufacturer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/dictionary.VehicleService/Manufacturer",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VehicleServiceServer).Manufacturer(ctx, req.(*common.SearchDictionaryItemRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VehicleService_Model_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.SearchDictionaryItemRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VehicleServiceServer).Model(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/dictionary.VehicleService/Model",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VehicleServiceServer).Model(ctx, req.(*common.SearchDictionaryItemRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VehicleService_Generation_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.SearchDictionaryItemRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VehicleServiceServer).Generation(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/dictionary.VehicleService/Generation",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VehicleServiceServer).Generation(ctx, req.(*common.SearchDictionaryItemRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _VehicleService_Specification_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.SearchDictionaryItemRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VehicleServiceServer).Specification(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/dictionary.VehicleService/Specification",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VehicleServiceServer).Specification(ctx, req.(*common.SearchDictionaryItemRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _VehicleService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "dictionary.VehicleService",
	HandlerType: (*VehicleServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Version",
			Handler:    _VehicleService_Version_Handler,
		},
		{
			MethodName: "Search",
			Handler:    _VehicleService_Search_Handler,
		},
		{
			MethodName: "Identify",
			Handler:    _VehicleService_Identify_Handler,
		},
		{
			MethodName: "Manufacturer",
			Handler:    _VehicleService_Manufacturer_Handler,
		},
		{
			MethodName: "Model",
			Handler:    _VehicleService_Model_Handler,
		},
		{
			MethodName: "Generation",
			Handler:    _VehicleService_Generation_Handler,
		},
		{
			MethodName: "Specification",
			Handler:    _VehicleService_Specification_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "dictionary/vehicle-service.proto",
}
